net.minecraft.world

## Class WorldSettings

- java.lang.Object
- - net.minecraft.world.WorldSettings

-     public final class WorldSettings
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WorldSettings.GameType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldSettings(long par1, WorldSettings.GameType par3EnumGameType, boolean par4, boolean par5, WorldType par6WorldType)`
    `WorldSettings(WorldInfo par1WorldInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areCommandsAllowed()`
    `WorldSettings` | `enableBonusChest()`
    `WorldSettings` | `enableCommands()`
    `java.lang.String` | `func_82749_j()`
    `WorldSettings` | `func_82750_a(java.lang.String par1Str)`
    `WorldSettings.GameType` | `getGameType()`
    `static WorldSettings.GameType` | `getGameTypeById(int par0)`
    `boolean` | `getHardcoreEnabled()`
    `long` | `getSeed()`
    `WorldType` | `getTerrainType()`
    `boolean` | `isBonusChestEnabled()`
    `boolean` | `isMapFeaturesEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldSettings

          public WorldSettings(long par1,
                       WorldSettings.GameType par3EnumGameType,
                       boolean par4,
                       boolean par5,
                       WorldType par6WorldType)

    - #### WorldSettings

          public WorldSettings(WorldInfo par1WorldInfo)

  - ### Method Detail

    - #### enableBonusChest

          public WorldSettings enableBonusChest()

    - #### func_82750_a

          public WorldSettings func_82750_a(java.lang.String par1Str)

    - #### enableCommands

          public WorldSettings enableCommands()

    - #### isBonusChestEnabled

          public boolean isBonusChestEnabled()

    - #### getSeed

          public long getSeed()

    - #### getGameType

          public WorldSettings.GameType getGameType()

    - #### getHardcoreEnabled

          public boolean getHardcoreEnabled()

    - #### isMapFeaturesEnabled

          public boolean isMapFeaturesEnabled()

    - #### getTerrainType

          public WorldType getTerrainType()

    - #### areCommandsAllowed

          public boolean areCommandsAllowed()

    - #### getGameTypeById

          public static WorldSettings.GameType getGameTypeById(int par0)

    - #### func_82749_j

          public java.lang.String func_82749_j()